%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% In this M-file we define the function phi involved in the definition of
% the system given in Example1 of the paper 
% Global asymmptotic stabilizing feedback law for a system
% satifying two different sector conditions
%
% Input = x1, x2
% Last Modification 13/07/2010 by V. Andrieu
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y=Phi(x1, x2)
global Ti Si S0 v0;
a=0.001;
b = 20;
x = [x1;x2];
nx = sqrt(x1^2+x2^2);

% Linear interpolation
zz=1.1*v0;
if nx<zz
    lbda = a*nx;
else if nx<1/b+a*zz/b^2
        lbda = b*nx-a*zz/b;
    else
        lbda=1;
    end
    
end
y = 1/2*(lbda*(Si*x + Ti) + (1-lbda) *S0* x);
return