%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% In this M-file we check if the function phi (defined in another M-File
% satisfies the sector-bound condition with the value v0 and vi given as
% external variables
%
% Last Modification 13/07/2010 by V. Andrieu
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Local Sector Condition
% We define a grid in which we will evaluate the Sector
x1max = v0;
x1min = -x1max;
x1 = x1min:0.1:x1max;
N=length(x1);

clear y;
maxy = -1;
for i=1:N
    x2min = -sqrt(v0^2 - x1(i)^2);
    for j=1:N
        x2j = x2min - 2*j/N*x2min;    
        y=SecLoc(x1(i),x2j);
        maxy = max(y,maxy);
        if maxy>0
            maxy
            return
        end
       
    end
end
if maxy< 0
    disp('Local Sector Condition Satisfied');
else
    disp('Local Sector Condition not Satisfied');
    return
end

%% Non Local Sector Condition
% We define a grid for the non local case
global vi;
x1max = 100;
x1min = -x1max;
x1 = x1min:1:x1max;
N=length(x1);

clear y;
maxy = -1;
for i=1:N
    x2min = -sqrt(x1max^2 - x1(i)^2);
    for j=1:N
        x2j = x2min - 2*j/N*x2min;    
        if x1(i)^2+x2j^2>vi^2
            y=SecGlob(x1(i),x2j);
            maxy = max(y,maxy);
            if maxy>0
                maxy
                return;
            end
        end
    end
end
if maxy< 0
    disp('Non-Local Sector Condition Satisfied');
else
    disp('Non-Local Sector Condition not Satisfied');
    return
end